# Uses of Class
org.apache.sling.installer.api.tasks.InstallTask

Packages that use InstallTask
Package
Description
org.apache.sling.installer.api.tasks

## Uses of InstallTask in org.apache.sling.installer.api.tasks

Subclasses of InstallTask in org.apache.sling.installer.api.tasks
Modifier and Type
Class
Description
`class`
`ChangeStateTask`
Simple general task, setting the state of a registered resource.
Methods in org.apache.sling.installer.api.tasks that return InstallTask
Modifier and Type
Method
Description
`InstallTask`
InstallTaskFactory.`createTask(TaskResourceGroup group)`
Creates an `InstallTask` for the resource or `null` if the factory does not support the resource.
Methods in org.apache.sling.installer.api.tasks with parameters of type InstallTask
Modifier and Type
Method
Description
`void`
InstallationContext.`addAsyncTask(InstallTask t)`
Deprecated.
A async task should return `true` for `isAsynchronousTask()` and be add with `InstallationContext.addTaskToCurrentCycle(InstallTask)`
`void`
InstallationContext.`addTaskToCurrentCycle(InstallTask t)`
Schedule a task for execution in the current cycle.
`void`
InstallationContext.`addTaskToNextCycle(InstallTask t)`
Deprecated.
`void`
InstallationContext.`asyncTaskFailed(InstallTask t)`
Inform the installer about a failed async task.
`final int`
InstallTask.`compareTo(InstallTask o)`
All comparisons are based on getSortKey().